Bug 136771 - FC2 openoffice unable to import ppt presentation
FC2 openoffice unable to import ppt presentation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 05:19 EDT by Pavel Rosenboim
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.9.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-16 06:22:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
presentation the can't be opened (568.50 KB, application/vnd.ms-powerpoint)
2004-10-22 05:27 EDT, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2004-10-22 05:19:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Openoffice is unable to open presentation in powerpoint format. It
stops about halfway importing, CPU usage goes to 100% and memory usage
increases slowly. I was able to open the same presentation with OO.o
in RH9, and with openoffice downloaded from openoffice.org.

Version-Release number of selected component (if applicable):
1.1.2-10.fc2

How reproducible:
Always

Steps to Reproduce:
1. Open the attached presentation
2.
3.
    

Actual Results:  Openoffice gets stuck during import.

Expected Results:  Load the presentation.

Additional info:

It's old SCO presentation about infringing linux code, maybe this
makes openoffice choke :).
Comment 1 Pavel Rosenboim 2004-10-22 05:27:27 EDT
Created attachment 105639 [details]
presentation the can't be opened
Comment 2 Dan Williams 2004-10-22 09:55:41 EDT
confirmed on 1.1.2-10 packages on FC2+FC3
Comment 3 Dan Williams 2004-10-22 10:04:53 EDT
Hmm, it actually works if you leave it alone long enough.  The
presentation is _really_ graphic and 3D scene heavy though, so it
takes a while to import I guess.  Took about 2 minutes here.
Comment 4 Pavel Rosenboim 2004-10-22 12:08:50 EDT
I installed OO.o 1.1.2 from openoffice.org and it opens the
presentation quite fast (less than 10 seconds). 
Comment 5 Dan Williams 2004-10-22 12:58:00 EDT
Yes, ooo-build based versions (ie Ximian/Novell, Red Hat, others) have
an option on to "convert embedded objects" on load.  That particular
option is what the issue here is, but its an all-or-nothing option. 
either you convert them on load (and can therefore edit the objects,
like 3d WordArt, etc) or you can't edit them at all.
Comment 6 Caolan McNamara 2005-03-16 06:22:42 EST
Option reverted to upstream in rawhide OOo 1.9.84-1

Note You need to log in before you can comment on or make changes to this bug.